// packageB/member/love/loveCashbackRecord/loveCashbackRecord.js
var app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    details:{}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getData(options.id);
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  // 初始化数据
  getData(id) {
    let urlStr = app.getNetAddresss(
      "plugin.love-cycle-award.frontend.controllers.cycle-award.queue-info"
    );
    app._getNetWork({
      url: urlStr,
      data:{id},
      success: (resdata) => {
        let res = resdata.data;
        if (res.result != 1) {
          return app.tips(res.msg);
        } 
        this.setData({
          details:res.data
        });
  
      }
    });
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
});